﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ViraScraper.Models.JsonModels
{

    public class InstaExplorerRoot
    {
        public Config config { get; set; }
        public string country_code { get; set; }
        public string language_code { get; set; }
        public string locale { get; set; }
        public EntryData entry_data { get; set; }
        public string hostname { get; set; }
        public string deployment_stage { get; set; }
        public string platform { get; set; }
        public string nonce { get; set; }
        public double mid_pct { get; set; }
        public ZeroData zero_data { get; set; }
        public int cache_schema_version { get; set; }
        public ServerChecks server_checks { get; set; }
        public Knobx knobx { get; set; }
        public ToCache to_cache { get; set; }
        public string device_id { get; set; }
        public Encryption encryption { get; set; }
        public string rollout_hash { get; set; }
        public string bundle_variant { get; set; }
        public bool is_canary { get; set; }
    }
    public class Config
    {
        public string csrf_token { get; set; }
        public object viewer { get; set; }
        public object viewerId { get; set; }
    }

    public class PageInfo
    {
        public bool has_next_page { get; set; }
        public string end_cursor { get; set; }
    }

    public class Node2
    {
        public string text { get; set; }
    }

    public class Edge2
    {
        public Node2 node { get; set; }
    }

    public class EdgeMediaToCaption
    {
        public List<Edge2> edges { get; set; }
    }

    public class EdgeMediaToComment
    {
        public int count { get; set; }
    }

    public class Dimensions
    {
        public int height { get; set; }
        public int width { get; set; }
    }

    public class EdgeLikedBy
    {
        public int count { get; set; }
    }

    public class EdgeMediaPreviewLike
    {
        public int count { get; set; }
    }

    public class Owner
    {
        public string id { get; set; }
    }

    public class ThumbnailResource
    {
        public string src { get; set; }
        public int config_width { get; set; }
        public int config_height { get; set; }
    }

    public class Node
    {
        public bool comments_disabled { get; set; }
        public string __typename { get; set; }
        public string id { get; set; }
        public EdgeMediaToCaption edge_media_to_caption { get; set; }
        public string shortcode { get; set; }
        public EdgeMediaToComment edge_media_to_comment { get; set; }
        public int taken_at_timestamp { get; set; }
        public Dimensions dimensions { get; set; }
        public string display_url { get; set; }
        public EdgeLikedBy edge_liked_by { get; set; }
        public EdgeMediaPreviewLike edge_media_preview_like { get; set; }
        public Owner owner { get; set; }
        public string thumbnail_src { get; set; }
        public List<ThumbnailResource> thumbnail_resources { get; set; }
        public bool is_video { get; set; }
        public string accessibility_caption { get; set; }
        public int? video_view_count { get; set; }
    }

    public class Edge
    {
        public Node node { get; set; }
    }

    public class EdgeHashtagToMedia
    {
        public int count { get; set; }
        public PageInfo page_info { get; set; }
        public List<Edge> edges { get; set; }
    }

    public class Node4
    {
        public string text { get; set; }
    }

    public class Edge4
    {
        public Node4 node { get; set; }
    }

    public class EdgeMediaToCaption2
    {
        public List<Edge4> edges { get; set; }
    }

    public class EdgeMediaToComment2
    {
        public int count { get; set; }
    }

    public class Dimensions2
    {
        public int height { get; set; }
        public int width { get; set; }
    }

    public class EdgeLikedBy2
    {
        public int count { get; set; }
    }

    public class EdgeMediaPreviewLike2
    {
        public int count { get; set; }
    }

    public class Owner2
    {
        public string id { get; set; }
    }

    public class ThumbnailResource2
    {
        public string src { get; set; }
        public int config_width { get; set; }
        public int config_height { get; set; }
    }

    public class Node3
    {
        public string __typename { get; set; }
        public string id { get; set; }
        public EdgeMediaToCaption2 edge_media_to_caption { get; set; }
        public string shortcode { get; set; }
        public EdgeMediaToComment2 edge_media_to_comment { get; set; }
        public int taken_at_timestamp { get; set; }
        public Dimensions2 dimensions { get; set; }
        public string display_url { get; set; }
        public EdgeLikedBy2 edge_liked_by { get; set; }
        public EdgeMediaPreviewLike2 edge_media_preview_like { get; set; }
        public Owner2 owner { get; set; }
        public string thumbnail_src { get; set; }
        public List<ThumbnailResource2> thumbnail_resources { get; set; }
        public bool is_video { get; set; }
        public string accessibility_caption { get; set; }
    }

    public class Edge3
    {
        public Node3 node { get; set; }
    }

    public class EdgeHashtagToTopPosts
    {
        public List<Edge3> edges { get; set; }
    }

    public class EdgeHashtagToContentAdvisory
    {
        public int count { get; set; }
        public List<object> edges { get; set; }
    }

    public class Node5
    {
        public string name { get; set; }
    }

    public class Edge5
    {
        public Node5 node { get; set; }
    }

    public class EdgeHashtagToRelatedTags
    {
        public List<Edge5> edges { get; set; }
    }

    public class EdgeHashtagToNullState
    {
        public List<object> edges { get; set; }
    }

    public class Hashtag
    {
        public string id { get; set; }
        public string name { get; set; }
        public bool allow_following { get; set; }
        public bool is_following { get; set; }
        public bool is_top_media_only { get; set; }
        public string profile_pic_url { get; set; }
        public EdgeHashtagToMedia edge_hashtag_to_media { get; set; }
        public EdgeHashtagToTopPosts edge_hashtag_to_top_posts { get; set; }
        public EdgeHashtagToContentAdvisory edge_hashtag_to_content_advisory { get; set; }
        public EdgeHashtagToRelatedTags edge_hashtag_to_related_tags { get; set; }
        public EdgeHashtagToNullState edge_hashtag_to_null_state { get; set; }
    }

    public class Graphql
    {
        public Hashtag hashtag { get; set; }
    }

    public class TagPage
    {
        public Graphql graphql { get; set; }
    }

    public class EntryData
    {
        public List<TagPage> TagPage { get; set; }
    }

    public class ZeroData
    {
    }

    public class ServerChecks
    {
    }

    public class Knobx
    {
        public bool __invalid_name__4 { get; set; }
        public bool __invalid_name__17 { get; set; }
        public bool __invalid_name__20 { get; set; }
        public int __invalid_name__21 { get; set; }
        public bool __invalid_name__22 { get; set; }
    }

    public class Gatekeepers
    {
        public bool __invalid_name__4 { get; set; }
        public bool __invalid_name__5 { get; set; }
        public bool __invalid_name__6 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public bool __invalid_name__8 { get; set; }
        public bool __invalid_name__9 { get; set; }
        public bool __invalid_name__10 { get; set; }
        public bool __invalid_name__11 { get; set; }
        public bool __invalid_name__12 { get; set; }
        public bool __invalid_name__13 { get; set; }
        public bool __invalid_name__14 { get; set; }
        public bool __invalid_name__15 { get; set; }
        public bool __invalid_name__16 { get; set; }
        public bool __invalid_name__18 { get; set; }
        public bool __invalid_name__19 { get; set; }
        public bool __invalid_name__23 { get; set; }
        public bool __invalid_name__24 { get; set; }
        public bool __invalid_name__26 { get; set; }
        public bool __invalid_name__27 { get; set; }
        public bool __invalid_name__28 { get; set; }
        public bool __invalid_name__29 { get; set; }
        public bool __invalid_name__31 { get; set; }
        public bool __invalid_name__32 { get; set; }
        public bool __invalid_name__34 { get; set; }
        public bool __invalid_name__35 { get; set; }
        public bool __invalid_name__38 { get; set; }
        public bool __invalid_name__40 { get; set; }
        public bool __invalid_name__41 { get; set; }
        public bool __invalid_name__43 { get; set; }
        public bool __invalid_name__59 { get; set; }
        public bool __invalid_name__61 { get; set; }
        public bool __invalid_name__62 { get; set; }
        public bool __invalid_name__63 { get; set; }
        public bool __invalid_name__64 { get; set; }
        public bool __invalid_name__65 { get; set; }
        public bool __invalid_name__67 { get; set; }
        public bool __invalid_name__68 { get; set; }
        public bool __invalid_name__69 { get; set; }
        public bool __invalid_name__71 { get; set; }
        public bool __invalid_name__72 { get; set; }
        public bool __invalid_name__73 { get; set; }
        public bool __invalid_name__74 { get; set; }
        public bool __invalid_name__75 { get; set; }
        public bool __invalid_name__76 { get; set; }
        public bool __invalid_name__77 { get; set; }
        public bool __invalid_name__78 { get; set; }
        public bool __invalid_name__79 { get; set; }
        public bool __invalid_name__80 { get; set; }
        public bool __invalid_name__81 { get; set; }
        public bool __invalid_name__82 { get; set; }
    }

    public class P
    {
    }

    public class AppUpsell
    {
        public string g { get; set; }
        public P p { get; set; }
    }

    public class P2
    {
    }

    public class IglAppUpsell
    {
        public string g { get; set; }
        public P2 p { get; set; }
    }

    public class P3
    {
    }

    public class Notif
    {
        public string g { get; set; }
        public P3 p { get; set; }
    }

    public class P4
    {
        public string during_reg { get; set; }
        public string default_value { get; set; }
        public string storage_version { get; set; }
    }

    public class Onetaplogin
    {
        public string g { get; set; }
        public P4 p { get; set; }
    }

    public class P5
    {
        public string has_back_removed { get; set; }
    }

    public class MultiregIter
    {
        public string g { get; set; }
        public P5 p { get; set; }
    }

    public class P6
    {
    }

    public class FelixClearFbCookie
    {
        public string g { get; set; }
        public P6 p { get; set; }
    }

    public class P7
    {
    }

    public class FelixCreationDurationLimits
    {
        public string g { get; set; }
        public P7 p { get; set; }
    }

    public class P8
    {
    }

    public class FelixCreationFbCrossposting
    {
        public string g { get; set; }
        public P8 p { get; set; }
    }

    public class P9
    {
    }

    public class FelixCreationFbCrosspostingV2
    {
        public string g { get; set; }
        public P9 p { get; set; }
    }

    public class P10
    {
    }

    public class FelixCreationValidation
    {
        public string g { get; set; }
        public P10 p { get; set; }
    }

    public class P11
    {
    }

    public class MwebTopicalExplore
    {
        public string g { get; set; }
        public P11 p { get; set; }
    }

    public class P12
    {
    }

    public class PostOptions
    {
        public string g { get; set; }
        public P12 p { get; set; }
    }

    public class P13
    {
    }

    public class Iglscioi
    {
        public string g { get; set; }
        public P13 p { get; set; }
    }

    public class P14
    {
    }

    public class StickerTray
    {
        public string g { get; set; }
        public P14 p { get; set; }
    }

    public class P15
    {
    }

    public class WebSentry
    {
        public string g { get; set; }
        public P15 p { get; set; }
    }

    public class P16
    {
        public bool __invalid_name__4 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public bool __invalid_name__8 { get; set; }
        public bool __invalid_name__9 { get; set; }
    }

    public class __invalid_type__0
    {
        public P16 p { get; set; }
        public bool qex { get; set; }
    }

    public class P17
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__2
    {
        public P17 p { get; set; }
        public bool qex { get; set; }
    }

    public class P18
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__4
    {
        public P18 p { get; set; }
        public bool qex { get; set; }
    }

    public class P19
    {
        public bool __invalid_name__1 { get; set; }
    }

    public class __invalid_type__5
    {
        public P19 p { get; set; }
        public bool qex { get; set; }
    }

    public class P20
    {
        public bool __invalid_name__1 { get; set; }
        public bool __invalid_name__5 { get; set; }
        public bool __invalid_name__6 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public bool __invalid_name__9 { get; set; }
        public bool __invalid_name__10 { get; set; }
    }

    public class __invalid_type__6
    {
        public P20 p { get; set; }
        public bool qex { get; set; }
    }

    public class P21
    {
        public bool __invalid_name__2 { get; set; }
    }

    public class __invalid_type__10
    {
        public P21 p { get; set; }
        public bool qex { get; set; }
    }

    public class P22
    {
        public int __invalid_name__0 { get; set; }
    }

    public class __invalid_type__12
    {
        public P22 p { get; set; }
        public bool qex { get; set; }
    }

    public class P23
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__13
    {
        public P23 p { get; set; }
        public bool qex { get; set; }
    }

    public class P24
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__16
    {
        public P24 p { get; set; }
        public bool qex { get; set; }
    }

    public class P25
    {
        public bool __invalid_name__1 { get; set; }
    }

    public class __invalid_type__17
    {
        public P25 p { get; set; }
        public bool qex { get; set; }
    }

    public class P26
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__19
    {
        public P26 p { get; set; }
        public bool qex { get; set; }
    }

    public class P27
    {
        public bool __invalid_name__2 { get; set; }
    }

    public class __invalid_type__21
    {
        public P27 p { get; set; }
        public bool qex { get; set; }
    }

    public class P28
    {
        public bool __invalid_name__1 { get; set; }
        public double __invalid_name__2 { get; set; }
        public double __invalid_name__3 { get; set; }
        public double __invalid_name__4 { get; set; }
        public double __invalid_name__10 { get; set; }
        public int __invalid_name__11 { get; set; }
        public int __invalid_name__12 { get; set; }
        public bool __invalid_name__13 { get; set; }
    }

    public class __invalid_type__22
    {
        public P28 p { get; set; }
        public bool qex { get; set; }
    }

    public class P29
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
    }

    public class __invalid_type__23
    {
        public P29 p { get; set; }
        public bool qex { get; set; }
    }

    public class P30
    {
    }

    public class __invalid_type__25
    {
        public P30 p { get; set; }
        public bool qex { get; set; }
    }

    public class P31
    {
        public string __invalid_name__0 { get; set; }
    }

    public class __invalid_type__26
    {
        public P31 p { get; set; }
        public bool qex { get; set; }
    }

    public class P32
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__28
    {
        public P32 p { get; set; }
        public bool qex { get; set; }
    }

    public class P33
    {
    }

    public class __invalid_type__29
    {
        public P33 p { get; set; }
        public bool qex { get; set; }
    }

    public class P34
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__30
    {
        public P34 p { get; set; }
        public bool qex { get; set; }
    }

    public class P35
    {
    }

    public class __invalid_type__31
    {
        public P35 p { get; set; }
        public bool qex { get; set; }
    }

    public class P36
    {
    }

    public class __invalid_type__33
    {
        public P36 p { get; set; }
        public bool qex { get; set; }
    }

    public class P37
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__34
    {
        public P37 p { get; set; }
        public bool qex { get; set; }
    }

    public class P38
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
        public bool __invalid_name__2 { get; set; }
        public bool __invalid_name__3 { get; set; }
        public bool __invalid_name__4 { get; set; }
    }

    public class __invalid_type__36
    {
        public P38 p { get; set; }
        public bool qex { get; set; }
    }

    public class P39
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__37
    {
        public P39 p { get; set; }
        public bool qex { get; set; }
    }

    public class P40
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__6 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public bool __invalid_name__8 { get; set; }
        public bool __invalid_name__9 { get; set; }
    }

    public class __invalid_type__39
    {
        public P40 p { get; set; }
        public bool qex { get; set; }
    }

    public class P41
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__40
    {
        public P41 p { get; set; }
        public bool qex { get; set; }
    }

    public class P42
    {
        public bool __invalid_name__3 { get; set; }
    }

    public class __invalid_type__41
    {
        public P42 p { get; set; }
        public bool qex { get; set; }
    }

    public class P43
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__42
    {
        public P43 p { get; set; }
        public bool qex { get; set; }
    }

    public class P44
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
        public bool __invalid_name__2 { get; set; }
    }

    public class __invalid_type__43
    {
        public P44 p { get; set; }
        public bool qex { get; set; }
    }

    public class P45
    {
        public string __invalid_name__1 { get; set; }
        public double __invalid_name__2 { get; set; }
    }

    public class __invalid_type__44
    {
        public P45 p { get; set; }
        public bool qex { get; set; }
    }

    public class P46
    {
        public bool __invalid_name__2 { get; set; }
        public int __invalid_name__4 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public int __invalid_name__8 { get; set; }
        public bool __invalid_name__12 { get; set; }
        public bool __invalid_name__13 { get; set; }
        public bool __invalid_name__14 { get; set; }
        public bool __invalid_name__15 { get; set; }
        public int __invalid_name__16 { get; set; }
        public int __invalid_name__17 { get; set; }
        public bool __invalid_name__18 { get; set; }
        public int __invalid_name__19 { get; set; }
        public bool __invalid_name__22 { get; set; }
        public string __invalid_name__23 { get; set; }
        public bool __invalid_name__24 { get; set; }
    }

    public class __invalid_type__45
    {
        public P46 p { get; set; }
        public bool qex { get; set; }
    }

    public class P47
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__46
    {
        public P47 p { get; set; }
        public bool qex { get; set; }
    }

    public class P48
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
        public bool __invalid_name__2 { get; set; }
        public bool __invalid_name__3 { get; set; }
        public bool __invalid_name__4 { get; set; }
        public bool __invalid_name__5 { get; set; }
        public bool __invalid_name__6 { get; set; }
        public bool __invalid_name__7 { get; set; }
        public bool __invalid_name__8 { get; set; }
        public bool __invalid_name__9 { get; set; }
        public bool __invalid_name__10 { get; set; }
        public bool __invalid_name__11 { get; set; }
    }

    public class __invalid_type__47
    {
        public P48 p { get; set; }
        public bool qex { get; set; }
    }

    public class P49
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__48
    {
        public P49 p { get; set; }
        public bool qex { get; set; }
    }

    public class P50
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__49
    {
        public P50 p { get; set; }
        public bool qex { get; set; }
    }

    public class P51
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__50
    {
        public P51 p { get; set; }
        public bool qex { get; set; }
    }

    public class P52
    {
        public int __invalid_name__0 { get; set; }
    }

    public class __invalid_type__53
    {
        public P52 p { get; set; }
        public bool qex { get; set; }
    }

    public class P53
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__54
    {
        public P53 p { get; set; }
        public bool qex { get; set; }
    }

    public class P54
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__55
    {
        public P54 p { get; set; }
        public bool qex { get; set; }
    }

    public class P55
    {
        public double __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
    }

    public class __invalid_type__58
    {
        public P55 p { get; set; }
        public bool qex { get; set; }
    }

    public class P56
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__59
    {
        public P56 p { get; set; }
        public bool qex { get; set; }
    }

    public class P57
    {
        public bool __invalid_name__0 { get; set; }
        public bool __invalid_name__1 { get; set; }
        public bool __invalid_name__2 { get; set; }
        public bool __invalid_name__3 { get; set; }
        public bool __invalid_name__4 { get; set; }
    }

    public class __invalid_type__60
    {
        public P57 p { get; set; }
        public bool qex { get; set; }
    }

    public class P58
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__62
    {
        public P58 p { get; set; }
        public bool qex { get; set; }
    }

    public class P59
    {
        public int __invalid_name__0 { get; set; }
    }

    public class __invalid_type__63
    {
        public P59 p { get; set; }
        public bool qex { get; set; }
    }

    public class P60
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__64
    {
        public P60 p { get; set; }
        public bool qex { get; set; }
    }

    public class P61
    {
    }

    public class __invalid_type__65
    {
        public P61 p { get; set; }
        public bool qex { get; set; }
    }

    public class P62
    {
        public bool __invalid_name__0 { get; set; }
    }

    public class __invalid_type__66
    {
        public P62 p { get; set; }
        public bool qex { get; set; }
    }

    public class Qe
    {
        public AppUpsell app_upsell { get; set; }
        public IglAppUpsell igl_app_upsell { get; set; }
        public Notif notif { get; set; }
        public Onetaplogin onetaplogin { get; set; }
        public MultiregIter multireg_iter { get; set; }
        public FelixClearFbCookie felix_clear_fb_cookie { get; set; }
        public FelixCreationDurationLimits felix_creation_duration_limits { get; set; }
        public FelixCreationFbCrossposting felix_creation_fb_crossposting { get; set; }
        public FelixCreationFbCrosspostingV2 felix_creation_fb_crossposting_v2 { get; set; }
        public FelixCreationValidation felix_creation_validation { get; set; }
        public MwebTopicalExplore mweb_topical_explore { get; set; }
        public PostOptions post_options { get; set; }
        public Iglscioi iglscioi { get; set; }
        public StickerTray sticker_tray { get; set; }
        public WebSentry web_sentry { get; set; }
        public __invalid_type__0 __invalid_name__0 { get; set; }
        public __invalid_type__2 __invalid_name__2 { get; set; }
        public __invalid_type__4 __invalid_name__4 { get; set; }
        public __invalid_type__5 __invalid_name__5 { get; set; }
        public __invalid_type__6 __invalid_name__6 { get; set; }
        public __invalid_type__10 __invalid_name__10 { get; set; }
        public __invalid_type__12 __invalid_name__12 { get; set; }
        public __invalid_type__13 __invalid_name__13 { get; set; }
        public __invalid_type__16 __invalid_name__16 { get; set; }
        public __invalid_type__17 __invalid_name__17 { get; set; }
        public __invalid_type__19 __invalid_name__19 { get; set; }
        public __invalid_type__21 __invalid_name__21 { get; set; }
        public __invalid_type__22 __invalid_name__22 { get; set; }
        public __invalid_type__23 __invalid_name__23 { get; set; }
        public __invalid_type__25 __invalid_name__25 { get; set; }
        public __invalid_type__26 __invalid_name__26 { get; set; }
        public __invalid_type__28 __invalid_name__28 { get; set; }
        public __invalid_type__29 __invalid_name__29 { get; set; }
        public __invalid_type__30 __invalid_name__30 { get; set; }
        public __invalid_type__31 __invalid_name__31 { get; set; }
        public __invalid_type__33 __invalid_name__33 { get; set; }
        public __invalid_type__34 __invalid_name__34 { get; set; }
        public __invalid_type__36 __invalid_name__36 { get; set; }
        public __invalid_type__37 __invalid_name__37 { get; set; }
        public __invalid_type__39 __invalid_name__39 { get; set; }
        public __invalid_type__40 __invalid_name__40 { get; set; }
        public __invalid_type__41 __invalid_name__41 { get; set; }
        public __invalid_type__42 __invalid_name__42 { get; set; }
        public __invalid_type__43 __invalid_name__43 { get; set; }
        public __invalid_type__44 __invalid_name__44 { get; set; }
        public __invalid_type__45 __invalid_name__45 { get; set; }
        public __invalid_type__46 __invalid_name__46 { get; set; }
        public __invalid_type__47 __invalid_name__47 { get; set; }
        public __invalid_type__48 __invalid_name__48 { get; set; }
        public __invalid_type__49 __invalid_name__49 { get; set; }
        public __invalid_type__50 __invalid_name__50 { get; set; }
        public __invalid_type__53 __invalid_name__53 { get; set; }
        public __invalid_type__54 __invalid_name__54 { get; set; }
        public __invalid_type__55 __invalid_name__55 { get; set; }
        public __invalid_type__58 __invalid_name__58 { get; set; }
        public __invalid_type__59 __invalid_name__59 { get; set; }
        public __invalid_type__60 __invalid_name__60 { get; set; }
        public __invalid_type__62 __invalid_name__62 { get; set; }
        public __invalid_type__63 __invalid_name__63 { get; set; }
        public __invalid_type__64 __invalid_name__64 { get; set; }
        public __invalid_type__65 __invalid_name__65 { get; set; }
        public __invalid_type__66 __invalid_name__66 { get; set; }
    }

    public class ToCache
    {
        public Gatekeepers gatekeepers { get; set; }
        public Qe qe { get; set; }
        public bool probably_has_app { get; set; }
        public bool cb { get; set; }
    }

    public class Encryption
    {
        public string key_id { get; set; }
        public string public_key { get; set; }
    }

}
